gnutls_x509_crt_set_authority_info_access(3)

NAME
gnutls_x509_crt_set_authority_info_access - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_authority_info_access(gnutls_x509_crt_t crt, int what, gnutls_datum_t * data);

ARGUMENTS

gnutls_x509_crt_t crt
    Holds the certificate

int what
    what data to get, a gnutls_info_access_what_t type.

gnutls_datum_t * data
    output data to be freed with gnutls_free().

DESCRIPTION
This function sets the Authority Information Access (AIA) extension, see RFC 5280 section 4.2.2.1 for more information. The type of data stored in data is specified via what which should be gnutls_info_access_what_t values. If what is GNUTLS_IA_OCSP_URI, data will hold the OCSP URI. If what is GNUTLS_IA_CAISSUERS_URI, data will hold the caIssuers URI.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/